"""A series of scripts and packages to make life easy.

4th September 2018
The following scripts and packages exist at present (detailed docstrings can be found in the actual object docstrings) :

1. timeTools: Utilities for counting and parsing time.

    #USAGE for CountTime.

    from sarUtil.timeTools import CountTime.

    x = CountTime()
    x.start()
    time.sleep(10)
    x.stop()

    #For counting seconds.
    print((x.countSeconds()))

    #For counting minutes.
    print((x.countMinutes()))


    #USAGE for parsedatetime.

    from sarUtil.TimeTools import DateTimeParse

    cal=DateTimeParse()

    #To return a time_struct tuple and status of parsing

    timeStruct,status=cal.parse("tomorrow")

    #To return a time struct only

    dtTimObj=cal.parseReturnTimeStruct("tomorrow")

    #To return a datetime object

    dtTimObj=cal.parseReturnDateTime("tomorrow")

2. send2trash: A utility for sending files to recycle bin or trash instead of deleting them forever.

    from sarUtil.send2trash import send2trash

    send2trash(somepathname)

3. log: A utility for doing logging with minimal hassles.

    from sarUtil.log import LoggerMain

    logger=LoggerMain() #And thats all!!

    #Then subsequent calls can be made just like a normal logger.
    logger.debug("What?!")

4. files: Contains utility functions for Directory, Files etc. DO READ MORE ON THE SCRIPT DOCSTRINGS !

    FileObj, RootDirectory, Directory and UserDirectory are meant to handle paths, directories etc.

    readCsvReturnList,readOnlineCsvReturnList,readJsonReturnData and readOnlineJsonReturnData are meant to handle files.


"""