"""
This package contains two classes that are meant for interaction:
    Downloader (for downloading single urls).
    DownloaderMulti (for downloading a list of urls).

The idea is to primarily use pySmartDL and if it fails do standard file download.

"""

from .downloadWrap import Downloader,DownloaderMulti

from .pySmartDL import SmartDL, HashFailedException, CanceledException
from . import pySmartDLutils

__version__ = pySmartDL.__version__