# coding=utf-8
"""
This module contains scripts that relate to file systems such as searching files in directories.

FileObj, RootDirectory, Directory and UserDirectory are meant to handle paths, directories etc.

readCsvReturnList,readOnlineCsvReturnList,readJsonReturnData and readOnlineJsonReturnData are meant to handle files.

"""
from .paths import FileObj,RootDirectory,Directory,UserDirectory
from .csvJson import readCsvReturnList,readOnlineCsvReturnList,readJsonReturnData,readOnlineJsonReturnData
